This is a Laravel 5 package that provides upload management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/upload`.

    "litecms/upload": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Litecms\Upload\Providers\UploadServiceProvider::class,

```

And also add it to alias

```php
'Upload'  => Litecms\Upload\Facades\Upload::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Litecms\Upload\Providers\UploadServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


